## abgate 1.1.3

=== Makefile ===
# Please edit PREFIX and INSTALL_DIR to your needs.

BUNDLE = abGate.lv2
PREFIX = /usr
INSTALL_DIR = $(DESTDIR)$(PREFIX)/lib/lv2

$(BUNDLE): manifest.ttl gate.ttl gate.so gate_gui.so bypass_on.png bypass_off.png knob.png background.png
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp $^ $(BUNDLE)

gate.so: gate.cpp
	g++ $(LDFLAGS) -O3 -shared -fPIC -DPIC gate.cpp `pkg-config --cflags --libs lv2core` -o gate.so

gate_gui.so: gate_gui.cpp main_window.cpp main_window.h knob.cpp knob.h toggle.cpp toggle.h preset_widget.cpp preset_widget.h presets.cpp presets.h preset.cpp preset.h gate_const.h ui.h plugin_configuration.h
	g++ $(LDFLAGS) -O3 -shared -fPIC -DPIC gate_gui.cpp main_window.cpp knob.cpp toggle.cpp preset_widget.cpp presets.cpp preset.cpp `pkg-config --cflags gtkmm-2.4 --libs lv2core gthread-2.0` -o gate_gui.so

install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

clean:
	rm -rf $(BUNDLE) gate.so gate_gui.so

=== debian/changelog ===
abgate (1.1.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop 0001-buildsystem.patch patch, accepted upstream.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Apr 2011 09:27:28 +0200

abgate (1.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #616395)

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Mar 2011 01:31:19 +0100

=== debian/control ===
Source: abgate
Priority: optional
Section: sound
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 libgtkmm-2.4-dev,
 lv2core,
 pkg-config
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-multimedia/abgate.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/abgate.git
Homepage: http://abgate.sourceforge.net

Package: abgate
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 noise gate plugin
 abGate is a LV2 noise gate plugin in the LV2 format to manage
 noise. A noise gate is a component which attenuates an audio
 signal when it falls below a set threshold, so it can be
 applied to an audio track which has one or more periods of
 silence where no noise should be apparent.

## abgate 1.1.6

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,13 @@
 PREFIX = /usr
 INSTALL_DIR = $(DESTDIR)$(PREFIX)/lib/lv2
 
-$(BUNDLE): manifest.ttl gate.ttl gate.so gate_gui.so bypass_on.png bypass_off.png knob.png background.png
+$(BUNDLE): manifest.ttl gate.ttl gate.so gate_gui.so bypass_on.png bypass_off.png knob.png background.png abGateQt/libabGateQt.so
 	rm -rf $(BUNDLE)
 	mkdir $(BUNDLE)
 	cp $^ $(BUNDLE)
+
+abGateQt/libabGateQt.so:
+	cd abGateQt; qmake; make
 
 gate.so: gate.cpp
 	g++ $(LDFLAGS) -O3 -shared -fPIC -DPIC gate.cpp `pkg-config --cflags --libs lv2core` -o gate.so
@@ -21,4 +24,4 @@
 	cp -R $(BUNDLE) $(INSTALL_DIR)
 
 clean:
-	rm -rf $(BUNDLE) gate.so gate_gui.so
+	rm -rf $(BUNDLE) gate.so gate_gui.so; cd abGateQt; rm -rf libabGateQt.so; make clean; rm -rf Makefile

=== debian/changelog ===
abgate (1.1.6-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on libqt4-dev, qt4-dev-tools.
  * Add patch to port abGate to the LV2's new release.
  * Replace lv2core with lv2-dev.
  * Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 18:19:46 +0200

=== debian/control ===
Source: abgate
Priority: optional
Section: sound
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7),
 libgtkmm-2.4-dev,
 libqt4-dev,
 lv2-dev,
 pkg-config,
 qt4-dev-tools
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-multimedia/abgate.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/abgate.git
Homepage: http://abgate.sourceforge.net

Package: abgate
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 noise gate plugin
 abGate is a LV2 noise gate plugin in the LV2 format to manage
 noise. A noise gate is a component which attenuates an audio
 signal when it falls below a set threshold, so it can be
 applied to an audio track which has one or more periods of
 silence where no noise should be apparent.

## abgate 1.1.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	cp $^ $(BUNDLE)
 
 abGateQt/libabGateQt.so:
-	cd abGateQt; qmake; make
+	cd abGateQt; qmake-qt4; make
 
 gate.so: gate.cpp
 	g++ $(LDFLAGS) -O3 -shared -fPIC -DPIC gate.cpp `pkg-config --cflags --libs lv2core` -o gate.so

=== debian/changelog ===
abgate (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Set dh/compat 9.
  * Patch refreshed.
  * Update VCS urls.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 01 Feb 2014 21:44:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Section: sound
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  libgtkmm-2.4-dev,
  libqt4-dev,
  lv2-dev,
  pkg-config,
  qt4-dev-tools
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-multimedia/abgate.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/abgate.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/abgate.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/abgate.git
 Homepage: http://abgate.sourceforge.net
 
 Package: abgate

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/abgate/abGate-([\d\.]+)\.tar\.gz

## abgate 1.1.8

=== Makefile ===
# Please edit PREFIX and INSTALL_DIR to your needs.

BUNDLE = abGate.lv2
PREFIX = /usr
INSTALL_DIR = $(DESTDIR)$(PREFIX)/lib/lv2

$(BUNDLE): manifest.ttl gate.ttl gate.so gate_gui.so bypass_on.png bypass_off.png knob.png background.png abGateQt/libabGateQt.so
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp $^ $(BUNDLE)

abGateQt/libabGateQt.so:
	cd abGateQt; qmake-qt4; make

gate.so: gate.cpp
	g++ $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -g -O3 -shared -fPIC -DPIC -Wl,--as-needed gate.cpp `pkg-config --cflags --libs lv2` -o gate.so

gate_gui.so: gate_gui.cpp main_window.cpp main_window.h knob.cpp knob.h toggle.cpp toggle.h preset_widget.cpp preset_widget.h presets.cpp presets.h preset.cpp preset.h gate_const.h plugin_configuration.h
	g++ $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -g -O3 -shared -fPIC -DPIC -Wl,--as-needed gate_gui.cpp main_window.cpp knob.cpp toggle.cpp preset_widget.cpp presets.cpp preset.cpp `pkg-config --cflags gtkmm-2.4 --libs lv2 gthread-2.0` -o gate_gui.so

all: $(BUNDLE)

install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

clean:
	rm -rf $(BUNDLE) gate.so gate_gui.so; cd abGateQt; rm -rf libabGateQt.so; make clean; rm -rf Makefile

=== debian/changelog ===
abgate (1.1.8-1) unstable; urgency=medium

  * Update watch file.
  * Filter any .git* file.
  * New upstream version 1.1.8 (Closes: #824353)
  * Patches deleted/refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 06 Jan 2017 13:59:52 +0100

abgate (1.1.7-3) unstable; urgency=medium

  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Update copyright file.
  * Fix some hardening.
  * Add patch to pass cflags and cppflags.
  * Avoid some useless linking.
  * Patches forwarded.
  * Add overrides file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 05 Jan 2017 17:19:23 +0100

abgate (1.1.7-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 18:48:21 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Section: sound
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libgtkmm-2.4-dev,
  libqt4-dev,
  lv2-dev,
  pkg-config,
  qt4-dev-tools
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/abgate.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/abgate.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/abgate.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/abgate.git
 Homepage: http://abgate.sourceforge.net
 
 Package: abgate

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## abgate 1.1.9

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	cp $^ $(BUNDLE)
 
 abGateQt/libabGateQt.so:
-	cd abGateQt; qmake-qt4; make
+	cd abGateQt; qmake; make
 
 gate.so: gate.cpp
 	g++ $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -g -O3 -shared -fPIC -DPIC -Wl,--as-needed gate.cpp `pkg-config --cflags --libs lv2` -o gate.so

=== debian/changelog ===
abgate (1.1.9-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with LV2 1.18.0. (Closes: #960253)

 -- Adrian Bunk <bunk@debian.org>  Tue, 09 Jun 2020 09:29:36 +0300

abgate (1.1.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #912196)
    + Build abGateQt directly via dh_auto_* before the Makefile can do it.
    + cross.patch: Honour cross tools.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 20:48:01 +0200

abgate (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9
  * Patch refreshed.
  * Switch to Qt5. (Closes: #874806)
  * Bump Standards.
  * Vcs - use git instead of cgit.
  * Update copyright file.
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Nov 2017 12:38:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: abgate
 Priority: optional
 Section: sound
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
+ pkg-config,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libgtkmm-2.4-dev,
- libqt4-dev,
  lv2-dev,
- pkg-config,
- qt4-dev-tools
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/abgate.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/abgate.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/abgate.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/abgate
 Homepage: http://abgate.sourceforge.net
 
 Package: abgate

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,14 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+export QT_SELECT=qt5
+
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure --sourcedirectory=abGateQt
+
+override_dh_auto_build:
+	dh_auto_build --sourcedirectory=abGateQt
+	dh_auto_build

## abgate 1.2.0

=== Makefile ===
# Please edit PREFIX and INSTALL_DIR to your needs.

BUNDLE = abGate.lv2
PREFIX ?= /usr
INSTALL_DIR ?= $(DESTDIR)$(PREFIX)/lib/lv2
CXXFLAGS ?= -g -O3
CXX ?= g++

$(BUNDLE): manifest.ttl gate.ttl gate.so gate_gui.so bypass_on.png bypass_off.png knob.png background.png abGateQt/libabGateQt.so
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp $^ $(BUNDLE)

abGateQt/libabGateQt.so:
	cd abGateQt; qmake; $(MAKE)

gate.so: gate.cpp
	$(CXX) $(LDFLAGS) $(CXXFLAGS) $(CFLAGS) -shared -fPIC -DPIC -Wl,--as-needed gate.cpp `pkg-config --cflags --libs lv2` -o gate.so

gate_gui.so: gate_gui.cpp main_window.cpp main_window.h knob.cpp knob.h toggle.cpp toggle.h preset_widget.cpp preset_widget.h presets.cpp presets.h preset.cpp preset.h gate_const.h plugin_configuration.h
	$(CXX) $(LDFLAGS) $(CXXFLAGS) $(CFLAGS) -shared -fPIC -DPIC -Wl,--as-needed gate_gui.cpp main_window.cpp knob.cpp toggle.cpp preset_widget.cpp presets.cpp preset.cpp `pkg-config --cflags gtkmm-2.4 --libs lv2 gthread-2.0` -o gate_gui.so

all: $(BUNDLE)

install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

clean:
	rm -rf $(BUNDLE) gate.so gate_gui.so; cd abGateQt; rm -rf libabGateQt.so; $(MAKE) clean; rm -rf Makefile

=== debian/changelog ===
abgate (1.2.0-2build3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:39 +0200

abgate (1.2.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:36:29 +0000

abgate (1.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:47:57 +0000

abgate (1.2.0-2) unstable; urgency=medium

  * Team upload
  * Build without gtk GUI (Closes: #967245)
  * Clean object files without qmake clean (Closes: #1043635)

  [ Debian Janitor ]
  * Update lintian override info format in d/abgate.lintian-overrides on line 3-6
  * Update standards version to 4.6.1, no changes needed

 -- Bastian Germann <bage@debian.org>  Thu, 12 Oct 2023 01:11:48 +0200

abgate (1.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Dennis Braun ]
  * New upstream version 1.2.0
  * Update patchset
  * Add me as uploader
  * Set dh-compat to 13
  * Set S-V to 4.6.0
  * Set RRR: no
  * Use https protocol for homepage
  * Use https protocol for Source
  * Update d/copyright year
  * d/rules: Remove -Wl,--as-needed flags
  * Set upstream metadata fields: Archive, Bug-Submit

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 23 Oct 2021 10:08:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: abgate
 Priority: optional
 Section: sound
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
- libgtkmm-2.4-dev,
  lv2-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/abgate.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abgate
-Homepage: http://abgate.sourceforge.net
+Homepage: https://abgate.sourceforge.net
+Rules-Requires-Root: no
 
 Package: abgate
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
 export QT_SELECT=qt5
 
 %:
